[EP-tech] ubuntu upgrade breaks eprints

Malcolm Bodger M.Bodger at westminster.ac.uk
Thu May 24 08:55:40 BST 2012


Hi,



I've just patched my EPrints 3.3.6, which is on a Ubuntu server, and I could see text on the screen saying it was upgrading EPrints to 3.3.9. I now get the 'EPrints  Database schema is out of date' message on the web page.

I run the 'epadmin update_database_structure' and it said I should run the epadmin upgrade, which I've done. I've checked the database version and it's 3.3.1

I get the following:



 EPrints System Error inducing stack dump
 at /usr/share/eprints3/bin/../perl_lib/EPrints.pm line 145
        EPrints::abort() called at /usr/share/eprints3/bin/../perl_lib/EPrints/Repository.pm line 201
        EPrints::Repository::new('EPrints::Repository', 'eprints', 'noise', 1) called at /usr/share/eprints3/bin/../perl_lib/EPrints.pm line 491
        EPrints::repository('EPrints=HASH(0xb4b46d0)', 'eprints', 'noise', 1) called at ./epadmin line 367
        main::repository('eprints') called at ./epadmin line 1792
        main::update_database_structure('eprints') called at ./epadmin line 312

Can anyone advise me with this?



Thanks,

Malcolm.

The University of Westminster is a charity and a company limited by guarantee. Registration number: 977818 England. Registered Office: 309 Regent Street, London W1B 2UW.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mailman.ecs.soton.ac.uk/pipermail/eprints-tech/attachments/20120524/de4e0ed8/attachment.html 


More information about the Eprints-tech mailing list